> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/data-access/schema/tradelines.md).

# Tradelines

tradelines - object

A trade line is a record of activity for any type of credit extended to a borrower and reported to a credit reporting agency. A trade line is established on a borrower's credit report when a borrower is approved for credit.

## Fields

***

`tradelines.id` - `UUID!` `non-null`\
A globally-unique identifier.

***

`tradelines.account` - [`Account!`](/reference/data-access/schema/account.md)\
The Account that belongs to the Tradeline.

***

`tradelines.max_delinquency` - `Int` **(currently unavailable)**

***

`tradelines.delinquency_earliest` - `Boolean` **(currently unavailable)**\
Indicates if this is the earliest delinquency for the Tradeline.

***

`tradelines.delinquency_date` - `Date`\
The date of the current delinquency if any.

***

`tradelines.payment_pattern_start_date` - `Date`\
The start date for the payment pattern review period.

***

`tradelines.months_reviewed_count` - `Int`\
The number of months included in the payment pattern review.

***

`tradelines.late_30_days_total` - `Int`\
The number of late payments that are 30 days past due.

***

`tradelines.late_60_days_total` - `Int`\
The number of late payments that are 60 days past due.

***

`tradelines.late_90_days_total` - `Int`\
The number of late payments that are 90 days past due.

***

`tradelines.scheduled_monthly_payment` - `Float`\
The scheduled monthly payment amount for the Tradeline.

***

`tradelines.is_foreclosure` - `Boolean`\
Indicates whether the tradeline is a foreclosure.

***

`tradelines.most_recent_payment_date` - `Date`\
The date when the most recent payment was performed.

***

`tradelines.most_recent_payment_amount` - `Float`\
The amount of the most recent payment.

***

`tradelines.current_balance` - `Float`\
The current balance of the Tradeline.

***

`tradelines.credit_limit` - `Int`\
The credit limit of the Tradeline.

***

`tradelines.high_credit` - `Float`\
The highest balance or credit amount ever reached on the Tradeline.

***

`tradelines.past_due` - `Float`\
The amount that is past due on the Tradeline.

***

`tradelines.date_effective` - `Date`\
The effective date when the Tradeline information was reported.

***

`tradelines.account_rating` - `String`\
The rating or status code for the Account.

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/data-access/schema/tradelines.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
